# Uses of Class
org.apache.lucene.internal.hppc.IntLongHashMap

Packages that use IntLongHashMap
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

- ## Uses of IntLongHashMap in org.apache.lucene.internal.hppc

  Methods in org.apache.lucene.internal.hppc that return IntLongHashMap
  Modifier and Type
  Method
  Description
  `IntLongHashMap`
  IntLongHashMap.`clone()`
  `static IntLongHashMap`
  IntLongHashMap.`from(int[] keys, long[] values)`
  Creates a hash map from two index-aligned arrays of key-value pairs.
  Methods in org.apache.lucene.internal.hppc with parameters of type IntLongHashMap
  Modifier and Type
  Method
  Description
  `protected boolean`
  IntLongHashMap.`equalElements(IntLongHashMap other)`
  Return true if all keys of some other container exist in this container.
  Constructors in org.apache.lucene.internal.hppc with parameters of type IntLongHashMap
  Modifier
  Constructor
  Description
  ``
  `IntLongHashMap(IntLongHashMap container)`
  Create a hash map from all key-value pairs of another container.